Bug 260635 - Amarok crashed while playing music [@ VideoclipEngine::metadataChanged]
Summary: Amarok crashed while playing music [@ VideoclipEngine::metadataChanged]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Video (show other bugs)
Version: 2.4-GIT
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
: 265373 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-12-18 15:50 UTC by tom
Modified: 2011-06-05 15:37 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments
New crash information added by DrKonqi (28.83 KB, text/plain)
2011-02-07 15:51 UTC, Leonardo La Malfa
Details
New crash information added by DrKonqi (25.20 KB, text/plain)
2011-02-13 13:28 UTC, chrisvte
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tom 2010-12-18 15:50:01 UTC
Application: amarok (2.4-GIT)
KDE Platform Version: 4.5.86 (4.6 >= 20101210) "release 9"
Qt Version: 4.7.1
Operating System: Linux 2.6.37-rc5-12-desktop x86_64
Distribution: "openSUSE 11.4 Milestone 5 of 6 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
I was playing music with amarok (amarok was minimized) when it suddenly crashed.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f9e979737a0 (LWP 7017))]

Thread 18 (Thread 0x7f9e72d93700 (LWP 7019)):
#0  0x00007f9e9225e709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e7c6e9981 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f9e72592700 (LWP 7020)):
#0  0x00007f9e9225f3e1 in pthread_getspecific () from /lib64/libpthread.so.0
#1  0x00007f9e958b9b51 in QThreadData::current () at thread/qthread_unix.cpp:163
#2  0x00007f9e959cd439 in postEventSourcePrepare (s=0x9cf9b0, timeout=0x7f9e72591b3c) at kernel/qeventdispatcher_glib.cpp:254
#3  0x00007f9e8dc5e787 in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#4  0x00007f9e8dc5f689 in ?? () from /lib64/libglib-2.0.so.0
#5  0x00007f9e8dc5fd30 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#6  0x00007f9e959cd9c6 in QEventDispatcherGlib::processEvents (this=0x9cfd30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#7  0x00007f9e959a2092 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f9e959a22a5 in QEventLoop::exec (this=0x7f9e72591cd0, flags=...) at kernel/qeventloop.cpp:201
#9  0x00007f9e958b7214 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#10 0x00007f9e7c947694 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#11 0x00007f9e958b9a8e in QThreadPrivate::start (arg=0x88d160) at thread/qthread_unix.cpp:285
#12 0x00007f9e889cd9a3 in ?? () from /usr/lib64/libGL.so.1
#13 0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#14 0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#15 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f9e71b8b700 (LWP 7021)):
#0  0x00007f9e943e3393 in poll () from /lib64/libc.so.6
#1  0x00007f9e8b26948f in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007f9e8b25b256 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f9e8b25b889 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f9e8b25b940 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f9e8b26942b in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f9e8734ad18 in ?? () from /usr/lib64/libpulsecommon-0.9.22.so
#7  0x00007f9e889cd9a3 in ?? () from /usr/lib64/libGL.so.1
#8  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f9e6d368700 (LWP 7022)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e7c6fbbbb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f9e6c50d700 (LWP 7023)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e7c6fbbbb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f9e6bcca700 (LWP 7024)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e7c6fbbbb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f9e69bbb700 (LWP 7026)):
#0  0x00007f9e943e3393 in poll () from /lib64/libc.so.6
#1  0x00007f9e8dc5f7f4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007f9e8dc5fd30 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f9e959cd9c6 in QEventDispatcherGlib::processEvents (this=0x62e500, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f9e959a2092 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9e959a22a5 in QEventLoop::exec (this=0x7f9e69bbace0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f9e958b7214 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f9e959839a8 in QInotifyFileSystemWatcherEngine::run (this=0xda5e20) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f9e958b9a8e in QThreadPrivate::start (arg=0xda5e20) at thread/qthread_unix.cpp:285
#9  0x00007f9e889cd9a3 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f9e5b6a5700 (LWP 7027)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e958ba17b in wait (this=<value optimized out>, mutex=0x177f860, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x177f860, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f9e91673f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x177f4f0, th=0x177fe20) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f9e91676643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x177cba0, th=0x177fe20) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9e9167665c in ThreadWeaver::WorkingHardState::applyForWork (this=0x177cba0, th=0x177fe20) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f9e9167665c in ThreadWeaver::WorkingHardState::applyForWork (this=0x177cba0, th=0x177fe20) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f9e9167665c in ThreadWeaver::WorkingHardState::applyForWork (this=0x177cba0, th=0x177fe20) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f9e9167541f in ThreadWeaver::ThreadRunHelper::run (this=0x7f9e5b6a4d30, parent=0x177f4f0, th=0x177fe20) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/Thread.cpp:87
#9  0x00007f9e916754a8 in ThreadWeaver::Thread::run (this=0x177fe20) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/Thread.cpp:142
#10 0x00007f9e958b9a8e in QThreadPrivate::start (arg=0x177fe20) at thread/qthread_unix.cpp:285
#11 0x00007f9e889cd9a3 in ?? () from /usr/lib64/libGL.so.1
#12 0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#13 0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#14 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f9e5ac99700 (LWP 7028)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e958ba17b in wait (this=<value optimized out>, mutex=0x177f860, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x177f860, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f9e91673f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x177f4f0, th=0x18500e0) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f9e91676643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x177cba0, th=0x18500e0) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9e9167665c in ThreadWeaver::WorkingHardState::applyForWork (this=0x177cba0, th=0x18500e0) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f9e9167665c in ThreadWeaver::WorkingHardState::applyForWork (this=0x177cba0, th=0x18500e0) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f9e9167541f in ThreadWeaver::ThreadRunHelper::run (this=0x7f9e5ac98d30, parent=0x177f4f0, th=0x18500e0) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f9e916754a8 in ThreadWeaver::Thread::run (this=0x18500e0) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f9e958b9a8e in QThreadPrivate::start (arg=0x18500e0) at thread/qthread_unix.cpp:285
#10 0x00007f9e889cd9a3 in ?? () from /usr/lib64/libGL.so.1
#11 0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#12 0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f9e59e5e700 (LWP 7029)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e8a7bb224 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f9e889cd9a3 in ?? () from /usr/lib64/libGL.so.1
#3  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f9e571b3700 (LWP 7030)):
#0  0x00007f9e9225e709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e7c6f787f in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f9e525e0700 (LWP 7033)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e8ffa9224 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f9e902c2180) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f9e8ffa9259 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f9e902d0254) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f9e889cd9a3 in ?? () from /usr/lib64/libGL.so.1
#4  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#5  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f9e4d051700 (LWP 7036)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e7c6ed7eb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9e7c6f3ad5 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f9e4c683700 (LWP 7037)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e7c6ed7eb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9e7c6f4c2d in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f9e4be82700 (LWP 7038)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e7c6fe89b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f9e466f6700 (LWP 7053)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e958ba17b in wait (this=<value optimized out>, mutex=0x177f860, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x177f860, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f9e91673f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x177f4f0, th=0x2915160) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f9e91676643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x177cba0, th=0x2915160) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9e9167665c in ThreadWeaver::WorkingHardState::applyForWork (this=0x177cba0, th=0x2915160) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f9e9167541f in ThreadWeaver::ThreadRunHelper::run (this=0x7f9e466f5d30, parent=0x177f4f0, th=0x2915160) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f9e916754a8 in ThreadWeaver::Thread::run (this=0x2915160) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f9e958b9a8e in QThreadPrivate::start (arg=0x2915160) at thread/qthread_unix.cpp:285
#9  0x00007f9e889cd9a3 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f9e45ef5700 (LWP 7054)):
#0  0x00007f9e9225e39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9e958ba17b in wait (this=<value optimized out>, mutex=0x177f860, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x177f860, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f9e91673f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x177f4f0, th=0x2ac17c0) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f9e91676643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x177cba0, th=0x2ac17c0) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9e9167541f in ThreadWeaver::ThreadRunHelper::run (this=0x7f9e45ef4d30, parent=0x177f4f0, th=0x2ac17c0) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f9e916754a8 in ThreadWeaver::Thread::run (this=0x2ac17c0) at /usr/src/debug/kdelibs-4.5.86svn1205247/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f9e958b9a8e in QThreadPrivate::start (arg=0x2ac17c0) at thread/qthread_unix.cpp:285
#8  0x00007f9e889cd9a3 in ?? () from /usr/lib64/libGL.so.1
#9  0x00007f9e92259a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f9e943ec52d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f9e979737a0 (LWP 7017)):
[KCrash Handler]
#6  0x00007f9e567a48aa in VideoclipEngine::metadataChanged (this=0x193e630, track=...) at /usr/src/debug/amarok/src/context/engines/videoclip/VideoclipEngine.cpp:95
#7  0x00007f9e96f25cdb in Meta::Track::notifyObservers (this=0x14d6d00) at /usr/src/debug/amarok/src/core/meta/Meta.cpp:327
#8  0x00007f9e6b051526 in SqlRegistry::commitDirtyTracks (this=0xd90f00) at /usr/src/debug/amarok/src/core-impl/collections/db/sql/SqlRegistry.cpp:783
#9  0x00007f9e6b063df2 in Meta::SqlTrack::commitMetaDataChanges (this=0x14d6d00) at /usr/src/debug/amarok/src/core-impl/collections/db/sql/SqlMeta.cpp:1036
#10 0x00007f9e6b065fff in Meta::SqlTrack::endMetaDataUpdate (this=0x14d6d00) at /usr/src/debug/amarok/src/core-impl/collections/db/sql/SqlMeta.cpp:784
#11 0x00007f9e6b05a4f4 in Meta::SqlTrack::finishedPlaying (this=0x14d6d00, playedFraction=1) at /usr/src/debug/amarok/src/core-impl/collections/db/sql/SqlMeta.cpp:1145
#12 0x00007f9e9692c79c in EngineController::slotAboutToFinish (this=0x7ebbe0) at /usr/src/debug/amarok/src/EngineController.cpp:960
#13 0x00007f9e96932780 in EngineController::qt_metacall (this=0x7ebbe0, _c=QMetaObject::InvokeMetaMethod, _id=39, _a=0x7fff6b138360) at /usr/src/debug/amarok/build/src/EngineController.moc:204
#14 0x00007f9e959b7e3f in QMetaObject::activate (sender=0x7ebe90, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3272
#15 0x00007f9e90caccd5 in Phonon::MediaObjectPrivate::_k_aboutToFinish (this=0x8ec4b0) at /usr/src/debug/phonon-4.4.3/phonon/mediaobject.cpp:429
#16 0x00007f9e90cacebe in Phonon::MediaObject::qt_metacall (this=0x7ebe90, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0x7fff6b138470) at /usr/src/debug/phonon-4.4.3/build/phonon/moc_mediaobject.cpp:143
#17 0x00007f9e959b7e3f in QMetaObject::activate (sender=0x9cf710, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3272
#18 0x00007f9e7c9591dd in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#19 0x00007f9e7c959931 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#20 0x00007f9e959b6aba in QObject::event (this=0x9cf710, e=<value optimized out>) at kernel/qobject.cpp:1211
#21 0x00007f9e94d6ed44 in QApplicationPrivate::notify_helper (this=0x7f7150, receiver=0x9cf710, e=0x288ff40) at kernel/qapplication.cpp:4445
#22 0x00007f9e94d7724a in QApplication::notify (this=<value optimized out>, receiver=0x9cf710, e=0x288ff40) at kernel/qapplication.cpp:4324
#23 0x00007f9e973927b6 in KApplication::notify (this=0x7fff6b139060, receiver=0x9cf710, event=0x288ff40) at /usr/src/debug/kdelibs-4.5.86svn1205247/kdeui/kernel/kapplication.cpp:311
#24 0x00007f9e959a2c3c in QCoreApplication::notifyInternal (this=0x7fff6b139060, receiver=0x9cf710, event=0x288ff40) at kernel/qcoreapplication.cpp:732
#25 0x00007f9e959a6435 in sendEvent (receiver=0x0, event_type=0, data=0x66f810) at kernel/qcoreapplication.h:215
#26 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x66f810) at kernel/qcoreapplication.cpp:1373
#27 0x00007f9e959cd7d3 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#28 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:277
#29 0x00007f9e8dc5f2b3 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#30 0x00007f9e8dc5fa90 in ?? () from /lib64/libglib-2.0.so.0
#31 0x00007f9e8dc5fd30 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#32 0x00007f9e959cd96f in QEventDispatcherGlib::processEvents (this=0x66eff0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#33 0x00007f9e94e13d9e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#34 0x00007f9e959a2092 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#35 0x00007f9e959a22a5 in QEventLoop::exec (this=0x7fff6b138ff0, flags=...) at kernel/qeventloop.cpp:201
#36 0x00007f9e959a66eb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#37 0x000000000040953f in main (argc=1, argv=0x7fff6b13b4d8) at /usr/src/debug/amarok/src/main.cpp:261

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-02-04 20:12:09 UTC
*** Bug 265373 has been marked as a duplicate of this bug. ***
Comment 2 Leonardo La Malfa 2011-02-07 15:51:04 UTC
Created attachment 56947 [details]
New crash information added by DrKonqi

I was listening to a playlist, when one of the song ended the crash occurred.
Comment 3 Myriam Schweingruber 2011-02-09 10:25:31 UTC
Confirmed by duplicate.
Comment 4 chrisvte 2011-02-13 13:28:29 UTC
Created attachment 57207 [details]
New crash information added by DrKonqi

amarok (2.4-GIT) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.1

- What I was doing when the application crashed:
I was listening to music when a song ended and Amarok crashed.

-- Backtrace (Reduced):
#7  0xb6a21096 in LyricsManager::lyricsResult (this=0x8c7f868, lyricsXML=..., cached=false) at /usr/src/debug/amarok-2.4.0.60git.1297276260/src/context/LyricsManager.cpp:191
#8  0xb6f5fab9 in AmarokScript::AmarokLyricsScript::showLyrics (this=0x913f258, lyrics=...) at /usr/src/debug/amarok-2.4.0.60git.1297276260/src/scriptengine/AmarokLyricsScript.cpp:56
#9  0xb6f5fc9b in AmarokScript::AmarokLyricsScript::qt_metacall (this=0x913f258, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfd136d4)
    at /usr/src/debug/amarok-2.4.0.60git.1297276260/build/src/AmarokLyricsScript.moc:97
[...]
#11 0xb47d6d94 in QScript::callQtMethod (exec=0x9e840200, callType=QMetaMethod::Method, thisQObject=0x913f258, scriptArgs=..., meta=0xb73b67c4, initialIndex=5, maybeOverloaded=true)
    at bridge/qscriptqobject.cpp:960
#12 0xb47d9b27 in QScript::QtFunction::execute (this=0x9e62b6c0, exec=0x9e840200, thisValue=<value optimized out>, scriptArgs=...) at bridge/qscriptqobject.cpp:1015
Comment 5 Myriam Schweingruber 2011-03-25 08:37:20 UTC
(In reply to comment #4)
> Created an attachment (id=57207) [details]
> New crash information added by DrKonqi
> 
> amarok (2.4-GIT) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.1
> 
> - What I was doing when the application crashed:
> I was listening to music when a song ended and Amarok crashed.
> 
> -- Backtrace (Reduced):
> #7  0xb6a21096 in LyricsManager::lyricsResult (this=0x8c7f868, lyricsXML=...,
> cached=false) at
> /usr/src/debug/amarok-2.4.0.60git.1297276260/src/context/LyricsManager.cpp:191

This is a different crash, please file a new report.
Comment 6 Kevin Funk 2011-06-05 15:37:11 UTC
Git commit 01ed71d37bc030bf916a500dbcbd3cada5d4f89c by Kevin Funk.
Committed on 05/06/2011 at 15:36.
Pushed by kfunk into branch 'master'.

Fix possible crash in VideoClipEngine

FIXED-IN: 2.4.2
BUG: 260635

M  +3    -0    src/context/engines/videoclip/VideoclipEngine.cpp     

http://commits.kde.org/amarok/01ed71d37bc030bf916a500dbcbd3cada5d4f89c